// Touch screen library with X Y and Z (pressure) readings as well
// as oversampling to avoid 'bouncing'
#pragma once
#include <stdint.h>

// TSC2046 ~ ADS7843
#define P_TOUCH_DOUT PINB
#define B_TOUCH_DOUT 0x01
#define P_TOUCH_IRQ PINB
#define B_TOUCH_IRQ 0x02
#define P_TOUCH_DIN PORTC
#define B_TOUCH_DIN 0x01
#define P_TOUCH_CLK PORTC
#define B_TOUCH_CLK 0x02

class TouchScreen {
 uint8_t spi(uint8_t);
 int pressure();
 int pressureThreshhold;
public:
 void Init();
 bool isTouching();
#define TOUCH_X 0xD0
#define TOUCH_Y 0x90
 uint16_t readTouch(uint8_t b);
};
